Events in EJ2 JavaScript Rating control

29 Aug 20234 minutes to read

This section describes the rating events that will be triggered when appropriate actions are performed. The following events are available in the rating control.

beforeItemRender

The rating control triggers the beforeItemRender event before rendering each rating item. The RatingItemEventArgs passed as an event argument provides the details of the item to be rendered.

// Initialize the Rating control.
var rating = new ej.inputs.Rating({
    beforeItemRender: (args)=> {
       //Your required action here
    }
});

// Render initialized Rating.
rating.appendTo('#rating');

created

The rating control triggers the created event when the rendering of the rating control is completed.

// Initialize the Rating control.
var rating = new ej.inputs.Rating({
    created: ()=> {
       //Your required action here
    }
});

// Render initialized Rating.
rating.appendTo('#rating');

onItemHover

The rating control triggers the onItemHover event when the rating item is hovered. The RatingHoverEventArgs passed as an event argument provides the details of the hovered item.

// Initialize the Rating control.
var rating = new ej.inputs.Rating({
    onItemHover: (args)=> {
       //Your required action here
    }
});

// Render initialized Rating.
rating.appendTo('#rating');

valueChanged

The rating control triggers the valueChanged event when the value of the rating is changed. The RatingChangedEventArgs passed as an event argument provides the details when value is changed.

// Initialize the Rating control.
var rating = new ej.inputs.Rating({
    valueChanged: (args)=> {
       //Your required action here
    }
});

// Render initialized Rating.
rating.appendTo('#rating');

Below example demonstrates the valueChanged event of the Rating control.

ej.base.enableRipple(true);

// Initialize the Rating control.
var rating = new ej.inputs.Rating({ 
    valueChanged: (args)=> {
        alert("Previous Value:"+args.previousValue+"\nValue:"+args.value);
    } 
});

// Render initialized Rating.
rating.appendTo('#rating');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Rating</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript Rating Control">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-popups/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-inputs/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>
<body>
    
    <div id="container">
        <div class="wrap">
            <input id="rating">
        </div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 50px auto;
  text-align: center;
}

Events in React Rating Component

29 Aug 20236 minutes to read

This section describes the rating events that will be triggered when appropriate actions are performed. The following events are available in the rating component.

beforeItemRender

The rating component triggers the beforeItemRender event before rendering each rating item. The RatingItemEventArgs passed as an event argument provides the details of the item to be rendered.

{/* Import the Rating. */}
import { RatingComponent, RatingItemEventArgs } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

{/* To render Rating.*/}
function App() {

    function beforeItemRender(args: RatingItemEventArgs){
        //Your required action here
    }
  
    return (
        <div className='wrap'>
            <RatingComponent id='rating' beforeItemRender={ beforeItemRender } ></RatingComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('element'));

created

The rating component triggers the created event when the rendering of the rating component is completed.

{/* Import the Rating. */}
import { RatingComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

{/* To render Rating.*/}
function App() {

    function created(){
        //Your required action here
    }
  
    return (
        <div className='wrap'>
            <RatingComponent id='rating' created={ created } ></RatingComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('element'));

onItemHover

The rating component triggers the onItemHover event when the rating item is hovered. The RatingHoverEventArgs passed as an event argument provides the details of the hovered item.

{/* Import the Rating. */}
import { RatingComponent, RatingHoverEventArgs } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

{/* To render Rating.*/}
function App() {

    function onItemHover(args: RatingHoverEventArgs){
        //Your required action here
    }
  
    return (
        <div className='wrap'>
            <RatingComponent id='rating' onItemHover={ onItemHover } ></RatingComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('element'));

valueChanged

The rating component triggers the valueChanged event when the value of the rating is changed. The RatingChangedEventArgs passed as an event argument provides the details when value is changed.

{/* Import the Rating. */}
import { RatingComponent, RatingChangedEventArgs } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

{/* To render Rating.*/}
function App() {

    function valueChanged(args: RatingChangedEventArgs){
        //Your required action here
    }
  
    return (
        <div className='wrap'>
            <RatingComponent id='rating' valueChanged={ valueChanged } ></RatingComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('element'));

Below example demonstrates the valueChanged event of the Rating component.

// Import the Rating.
import { RatingComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';
// To render Rating.
function App() {
    function valueChanged(args) {
        alert("Previous Value:" + args.previousValue + "\nValue:" + args.value);
    }
    return (<div className='wrap'>
            <RatingComponent id='rating' valueChanged={valueChanged}></RatingComponent>
        </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('element'));
// Import the Rating.
import { RatingComponent, RatingChangedEventArgs } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

// To render Rating.
function App() {

    function valueChanged(args: RatingChangedEventArgs){
        alert("Previous Value:"+args.previousValue+"\nValue:"+args.value);
    }
  
    return (
        <div className='wrap'>
            <RatingComponent id='rating' valueChanged={ valueChanged } ></RatingComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('element'));

Events in Vue Rating component

25 May 20244 minutes to read

This section describes the rating events that will be triggered when appropriate actions are performed. The following events are available in the rating component.

beforeItemRender

The rating component triggers the beforeItemRender event before rendering each rating item. The RatingItemEventArgs passed as an event argument provides the details of the item to be rendered.

<template>
    <div class='wrap'>
        <ejs-rating id="rating" :beforeItemRender="beforeItemRender"></ejs-rating>
    </div>
</template>

<script setup>

import { RatingComponent  } from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);


export default {
    methods : {
        beforeItemRender: function(args: RatingItemEventArgs) {
          //Your required action here
        }
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}

</style>

created

The rating component triggers the created event when the rendering of the rating component is completed.

<template>
    <div class='wrap'>
        <ejs-rating id="rating" :created="created"></ejs-rating>
    </div>
</template>

<script setup>

import { RatingComponent  } from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);


export default {
    methods : {
        created: function() {
          //Your required action here
        }
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}

</style>

onItemHover

The rating component triggers the onItemHover event when the rating item is hovered. The RatingHoverEventArgs passed as an event argument provides the details of the hovered item.

<template>
    <div class='wrap'>
        <ejs-rating id="rating" :onItemHover="onItemHover"></ejs-rating>
    </div>
</template>

<script setup>

import { RatingComponent  } from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);


export default {
    methods : {
        onItemHover: function(args: RatingHoverEventArgs) {
          //Your required action here
        }
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}

</style>

valueChanged

The rating component triggers the valueChanged event when the value of the rating is changed. The RatingChangedEventArgs passed as an event argument provides the details when value is changed.

<template>
    <div class='wrap'>
        <ejs-rating id="rating" :valueChanged="valueChanged"></ejs-rating>
    </div>
</template>

<script setup>

import { RatingComponent  } from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);


export default {
    methods : {
        valueChanged: function(args: RatingChangedEventArgs) {
          //Your required action here
        }
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}

</style>

Below example demonstrates the valueChanged event of the Rating component.

<template>
  <div class='wrap'>
    <ejs-rating id="rating" :valueChanged="valueChanged"></ejs-rating>
  </div>
</template>

<script setup>

import { RatingComponent as EjsRating } from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

const valueChanged = (args) => {
  alert("Previous Value:" + args.previousValue + "\nValue:" + args.value);
};

</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}
</style>
<template>
  <div class='wrap'>
    <ejs-rating id="rating" :valueChanged="valueChanged"></ejs-rating>
  </div>
</template>

<script>

import { RatingComponent } from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

export default {
  name: "App",
  components: {
    "ejs-rating": RatingComponent
  },
  methods: {
    valueChanged: function (args) {
      alert("Previous Value:" + args.previousValue + "\nValue:" + args.value);
    }
  }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';

.wrap {
  margin: 50px auto;
  text-align: center;
}
</style>

Events in Angular Rating Component

27 Apr 20245 minutes to read

This section describes the rating events that will be triggered when appropriate actions are performed. The following events are available in the rating component.

beforeItemRender

The rating component triggers the beforeItemRender event before rendering each rating item. The RatingItemEventArgs passed as an event argument provides the details of the item to be rendered.

import { Component } from '@angular/core';
import { RatingItemEventArgs } from '@syncfusion/ej2-angular-inputs';
 
@Component({
  selector: 'app-root',
  template: `<!-- To Render Rating component. -->
                <div class="wrap">
                  <input ejs-rating id='rating' (beforeItemRender)="beforeItemRender($event)"/><br />
                </div>`
})

export class AppComponent {
  public beforeItemRender(args: RatingItemEventArgs){
    //Your required action here
  };
}

created

The rating component triggers the created event when the rendering of the rating component is completed.

import { Component } from '@angular/core';
import { RatingItemEventArgs } from '@syncfusion/ej2-angular-inputs';
 
@Component({
  selector: 'app-root',
  template: `<!-- To Render Rating component. -->
                <div class="wrap">
                  <input ejs-rating id='rating' (created)="created()"/><br />
                </div>`
})

export class AppComponent {
  public created(){
    //Your required action here
  };
}

onItemHover

The rating component triggers the onItemHover event when the rating item is hovered. The RatingHoverEventArgs passed as an event argument provides the details of the hovered item.

import { Component } from '@angular/core';
import { RatingHoverEventArgs } from '@syncfusion/ej2-angular-inputs';
 
@Component({
  selector: 'app-root',
  template: `<!-- To Render Rating component. -->
                <div class="wrap">
                  <input ejs-rating id='rating' (onItemHover)="onItemHover($event)"/><br />
                </div>`
})

export class AppComponent {
  public onItemHover(args: RatingHoverEventArgs) {
    //Your required action here
  };
}

valueChanged

The rating component triggers the valueChanged event when the value of the rating is changed. The RatingChangedEventArgs passed as an event argument provides the details when value is changed.

import { Component } from '@angular/core';
import { RatingChangedEventArgs } from '@syncfusion/ej2-angular-inputs';
 
@Component({
  selector: 'app-root',
  template: `<!-- To Render Rating component. -->
                <div class="wrap">
                  <input ejs-rating id='rating' (valueChanged)="valueChanged($event)"/><br />
                </div>`
})

export class AppComponent {
  public valueChanged(args: RatingChangedEventArgs) {
    //Your required action here
  };
}

Below example demonstrates the valueChanged event of the Rating component.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { RatingModule } from '@syncfusion/ej2-angular-inputs'
import { enableRipple } from '@syncfusion/ej2-base'

import { Component } from '@angular/core';
import { RatingChangedEventArgs } from '@syncfusion/ej2-angular-inputs';
 
@Component({
imports: [
         FormsModule, RatingModule
    ],


standalone: true,
  selector: 'app-root',
  template: `<!-- To Render Rating component. -->
                <div class="wrap">
                  <input ejs-rating id='rating' (valueChanged)="valueChanged($event)"/><br />
                </div>`
})

export class AppComponent {
  public valueChanged(args: RatingChangedEventArgs) {
    alert("Previous Value:" + args.previousValue + "\nValue:" + args.value);
  };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));